Avro C#

Public Member Functions | Static Public Member Functions | List of all members
Avro.PrimitiveSchema Class Reference

Class for schemas of primitive types More...

Inheritance diagram for Avro.PrimitiveSchema:

## Public Member Functions
override bool | CanRead (Schema writerSchema)
| Checks if this schema can read data written by the given schema. Used for decoding data. More...
override bool | Equals (object obj)
| Function to compare equality of two primitive schemas More...
override int | GetHashCode ()
| Hashcode function More...
override string | ToString ()
| Returns the canonical JSON representation of this schema. More...
Public Member Functions inherited from Avro.Schema
override string | ToString ()
| Returns the canonical JSON representation of this schema. More...
string | GetProperty (string key)
| Returns the schema's custom property value given the property name More...
override int | GetHashCode ()
| Hash code function More...

## Static Public Member Functions
static PrimitiveSchema | Create (Type type, PropertyMap customProperties=null)
| Creates a new instance of PrimitiveSchema More...
static PrimitiveSchema | NewInstance (string type, PropertyMap props=null)
| Static function to return new instance of primitive schema More...
Static Public Member Functions inherited from Avro.Schema
static Schema | Parse (string json)
| Parses a given JSON string to create a new schema object More...
static string | GetTypeString (Type type)
| Returns symbol name for the given schema type More...
static Schema.? Type | ParseType (string type, bool removeQuotes=false)
| Parses the Schema.Type from a string. More...

## Additional Inherited Members
Public Types inherited from Avro.Schema
enum | Type { Type.Null, Type.Boolean, Type.Int, Type.Long, Type.Float, Type.Double, Type.Bytes, Type.String, Type.Record, Type.Enumeration, Type.Array, Type.Map, Type.Union, Type.Fixed, Type.Error, Type.Logical }
| Enum for schema types More...
Protected Member Functions inherited from Avro.UnnamedSchema
| UnnamedSchema (Type type, PropertyMap props)
| Base constructor for an UnnamedSchema. More...
Protected Member Functions inherited from Avro.Schema
| Schema (Type type, PropertyMap props)
| Constructor for schema class More...
Static Protected Member Functions inherited from Avro.Schema
static bool | areEqual (object o1, object o2)
| Compares two objects, null is equal to null More...
static int | getHashCode (object obj)
| Hash code helper function More...
Properties inherited from Avro.UnnamedSchema
override string | Name`[get]`
Properties inherited from Avro.Schema
Type | Tag`[get]`
| Schema type property More...
abstract string | Name`[get]`
| If this is a record, enum or fixed, returns its name, otherwise the name the primitive type. More...
virtual string | Fullname`[get]`
| The name of this schema. If this is a named schema such as an enum, it returns the fully qualified name for the schema. For other schemas, it returns the type of the schema. More...

## Detailed Description

Class for schemas of primitive types

## Member Function Documentation

## ◆ CanRead()

override bool Avro.PrimitiveSchema.CanRead | ( | Schema | writerSchema | ) |
| inline virtual

Checks if this schema can read data written by the given schema. Used for decoding data.

Parameters

  writerSchema | writer schema

Returns
  true if this and writer schema are compatible based on the AVRO specification, false otherwise

Reimplemented from Avro.Schema.

## ◆ Create()

static PrimitiveSchema Avro.PrimitiveSchema.Create | ( | Type | type,
|  | PropertyMap | customProperties = `null`
| ) |  |
| inline static

Creates a new instance of PrimitiveSchema

Parameters

  type | The primitive type to create
  customProperties | Dictionary that provides access to custom properties

Returns

## ◆ Equals()

override bool Avro.PrimitiveSchema.Equals | ( | object | obj | ) |
| inline

Function to compare equality of two primitive schemas

Parameters

  obj | other primitive schema

Returns
  true two schemas are equal, false otherwise

## ◆ GetHashCode()

override int Avro.PrimitiveSchema.GetHashCode | ( |  | ) |
| inline

Hashcode function

Returns

## ◆ NewInstance()

static PrimitiveSchema Avro.PrimitiveSchema.NewInstance | ( | string | type,
|  | PropertyMap | props = `null`
| ) |  |
| inline static

Static function to return new instance of primitive schema

Parameters

  type | primitive type
  props | dictionary that provides access to custom properties

Returns

## ◆ ToString()

override string Avro.PrimitiveSchema.ToString | ( |  | ) |
| inline

Returns the canonical JSON representation of this schema.

Returns
  The canonical JSON representation of this schema.

The documentation for this class was generated from the following file:

- src/apache/main/Schema/PrimitiveSchema.cs